Permalink
Browse files

Load haml-edge if it's all new and shiny. Closes GH-26.

  • Loading branch information...
chriseppstein committed Jul 9, 2009
1 parent 4d51dea commit 59a6067b3a67a79bfd9a5ce325fc1be4bb6c9e78
Showing with 3 additions and 2 deletions.
  1. +3 −2 lib/compass/dependencies.rb
@@ -1,9 +1,10 @@
unless defined?(Sass)
require 'rubygems'
begin
gem 'haml','>= 2.2.0'
gem 'haml-edge', '>= 2.3.0'
$stderr.puts "Loading haml-edge gem."
rescue Exception
$stderr.puts "WARNING: haml 2.2 gem not found. Trying to find haml on the load path."
#pass
end
require 'sass'
end

0 comments on commit 59a6067

Please sign in to comment.